Problem after upgrade from 1.6.4 to 1.7.1

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Problem after upgrade from 1.6.4 to 1.7.1

Postby rconte » 16. April 2009 16:18

Hi all,
first sorry for my bad english but is't my born language. ^_^
Now, back to my problem...

I have upgrade from 1.6.4 to 1.7.1..i download all upgrade intaller and exegute it all.
Now Apache and Mysql don't work!

I run apache_start.bat and this is the result:

[SOLVED]
Code: Select all
Apache 2 is starting ...
httpd.exe: Syntax error on line 477 of C:/PHPServer/apache/conf/httpd.conf: Synt
ax error on line 7 of C:/PHPServer/apache/conf/extra/httpd-xampp.conf: API modul
e structure 'php5_module' in file C:/PHPServer/apache/bin/php5apache2.dll is gar
bled - expected signature 41503232 but saw 41503230 - perhaps this is not an Apa
che module DSO, or was compiled for a different Apache version?


For mysql this is the result:

Code: Select all
MySQL is trying to start
Please wait  ...
MySQL is starting with mysql\bin\my.cnf (console)
090416 17:17:38 [Warning] option 'thread_stack': unsigned value 65536 adjusted t
o 131072
090416 17:17:38 [Note] Plugin 'InnoDB' disabled by command line option
mysql\bin\mysqld: Table 'mysql.plugin' doesn't exist
090416 17:17:38 [ERROR] Can't open the mysql.plugin table. Please run mysql_upgr
ade to create it.
090416 17:17:38 [ERROR] mysql\bin\mysqld: unknown option '--skip-bdb'
090416 17:17:38 [ERROR] Aborting

090416 17:17:38 [Warning] Forcing shutdown of 2 plugins
090416 17:17:38 [Note] mysql\bin\mysqld: Shutdown complete


Help me please, i can't clean and reinstall all
Very thanks
Last edited by rconte on 17. April 2009 08:25, edited 1 time in total.
rconte
 
Posts: 3
Joined: 16. April 2009 16:05

Re: Problem after upgrade from 1.6.4 to 1.7.1

Postby rconte » 16. April 2009 16:48

I change php5apache2.dll to php5apache2_2.dll at the line 7 of httpd-xampp.conf

Now Apache works fine...but mysql still not working
rconte
 
Posts: 3
Joined: 16. April 2009 16:05

Re: Problem after upgrade from 1.6.4 to 1.7.1

Postby kheng » 17. April 2009 00:53

Just looking at line
090416 17:17:38 [ERROR] Can't open the mysql.plugin table. Please run mysql_upgr
ade to create it.


you can try running mysql_upgrade.exe from the mysql/bin folder....

just a thought... let us know how it goes.
kheng
 
Posts: 9
Joined: 16. April 2009 19:09
Location: Australia

Re: Problem after upgrade from 1.6.4 to 1.7.1

Postby rconte » 17. April 2009 08:24

I've tried but not working
rconte
 
Posts: 3
Joined: 16. April 2009 16:05

Re: Problem after upgrade from 1.6.4 to 1.7.1

Postby zygwi » 17. April 2009 10:13

I want to go from 1.6.5 to 1.7.1.
I have the same work to do, but I prefer to do a new install as an upgrade.

Try to make a new install.
zygwi
 
Posts: 30
Joined: 11. January 2005 16:16
Location: FRANCE


Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 63 guests